--- title: "getTableTags" slug: "analytics-datacatalog-table-gettabletags" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-gettabletags" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTableTags Available in VPC Get the list of tags in a table. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName}/tags | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | | `tableName` | String | Required | Table name - See [getTables](/docs/en/analytics-datacatalog-table-gettables). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/log_database/tables/log_table_1/tags?pageNo=1&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `pageSize` | Integer | - | Page output count | | `totalCount` | Integer | - | Number of response results | | `tagKeyTypeValueList` | Array | - | Tag list: [tagKeyTypeValueList](/docs/en/analytics-datacatalog-table-gettabletags#tagKeyTypeValueList) | | `catalogId` | Integer | - | Catalog ID | | `tableName` | String | - | Table name | | `databaseName` | String | - | Database name | #### `tagKeyTypeValueList` The following describes `tagKeyTypeValueList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | - | Tag key | | `tagType` | String | - | Tag data format | | `tagValue` | String | - | Tag value | | `tagTemplateTagId` | Integer | - | Tag ID - Unique tag numbers stored in tag template - If not saved in the tag template: `0` | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 1, "pageSize": 20, "totalCount": 4, "tagKeyTypeValueList": [ { "tagKey": "data source", "tagType": "STRING", "tagValue": "server01", "tagTemplateTagId": 468 }, { "tagKey": "num_rows", "tagType": "DOUBLE", "tagValue": "3600", "tagTemplateTagId": 469 }, { "tagKey": "ifchecked", "tagType": "BOOLEAN", "tagValue": "true", "tagTemplateTagId": 470 }, { "tagKey": "event_starttime", "tagType": "DATETIME", "tagValue": "2025-03-18 10:00:00", "tagTemplateTagId": 0 } ], "catalogId": 4**, "tableName": "log_table_1", "databaseName": "log_database" } ```